KDE 4.3 PyKDE API Reference

- KDE's Python API

# ScrollWidget Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

ScrollWidget plasma/widgets/ScrollWidget.h <Plasma/Widgets/ScrollWidget>

A container of widgets that can have scrollbars

A container of widgets that can have horizontal and vertical scrollbars if the content is bigger than the widget itself

Since:
  4.3

## Methods

| __init__ (self, QGraphicsWidget parent=0)
bool | eventFilter (self, QObject watched, QEvent event)
Qt.ScrollBarPolicy | horizontalScrollBarPolicy (self)
| mouseMoveEvent (self, QGraphicsSceneMouseEvent event)
| mousePressEvent (self, QGraphicsSceneMouseEvent event)
QWidget | nativeWidget (self)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| setHorizontalScrollBarPolicy (self, Qt.ScrollBarPolicy policy)
| setStyleSheet (self, QString stylesheet)
| setVerticalScrollBarPolicy (self, Qt.ScrollBarPolicy policy)
| setWidget (self, QGraphicsWidget widget)
QString | styleSheet (self)
Qt.ScrollBarPolicy | verticalScrollBarPolicy (self)
| wheelEvent (self, QGraphicsSceneWheelEvent event)
QGraphicsWidget | widget (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

Constructs a new ScrollWidget

@arg parent the parent of this widget

bool eventFilter | ( | self, |
|  | QObject | watched,
|  | QEvent | event
| ) |  |  |

Qt.ScrollBarPolicy horizontalScrollBarPolicy | ( |  | self ) |

Returns:
  the horizontal scrollbar policy

mouseMoveEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

mousePressEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

QWidget nativeWidget | ( |  | self ) |

Returns:
  the native widget wrapped by this ScrollWidget

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

setHorizontalScrollBarPolicy | ( | self, |
|  | Qt.ScrollBarPolicy | policy
| ) |  |  |

Sets the horizontal scrollbar policy

@arg policy desired policy

setStyleSheet | ( | self, |
|  | QString | stylesheet
| ) |  |  |

Sets the stylesheet used to control the visual display of this ScrollWidget

@arg stylesheet a CSS string

setVerticalScrollBarPolicy | ( | self, |
|  | Qt.ScrollBarPolicy | policy
| ) |  |  |

Sets the vertical scrollbar policy

@arg policy desired policy

setWidget | ( | self, |
|  | QGraphicsWidget | widget
| ) |  |  |

Sets the widget this ScrollWidget will contain ownership is transferred to this scrollwidget, if an old one was already in, it will be deleted

@arg widget the new main sub widget

QString styleSheet | ( |  | self ) |

Returns:
  the stylesheet currently used with this widget

Qt.ScrollBarPolicy verticalScrollBarPolicy | ( |  | self ) |

Returns:
  the vertical scrollbar policy

wheelEvent | ( | self, |
|  | QGraphicsSceneWheelEvent | event
| ) |  |  |

QGraphicsWidget widget | ( |  | self ) |

Returns:
  the main widget